Forums

Community: Linux Support 2.0Thread is sticky

Quick find code: 409-410-916-65990459

of 4
Piece Maker
Sep Member 2010

Piece Maker

Posts: 2,071Mithril Posts by user Forum Profile RuneMetrics Profile
Pinguicula said:
0815, before the RSU client there were some shell scripts that could be used to start the game but I can't find them now. Mentioned at
https://support.runescape.com/hc/en-gb/articles/206659489-Linux-Native-Clients
but no actual script code shown. I thought of the shell scripts because they are probably simpler but I'm not sure about their requirements. The CPAN.org site recommends compiling Perl from source code for UNIX.


The old bash script client can be found on the unofficial RS wiki:
http://runescape.wikia.com/wiki/Game_Client#Use_on_Linux

19-Apr-2018 23:33:34

I Eat Sub

I Eat Sub

Posts: 148Iron Posts by user Forum Profile RuneMetrics Profile
I'm thinking of switching to Fedora. Has the Linux community had many problems running the game? Might run the official windows version on wine.
Nothing Is Impossible


Proud Member Of
Consentus

29-Apr-2018 02:22:33

Pinguicula

Pinguicula

Posts: 8,502Rune Posts by user Forum Profile RuneMetrics Profile
I Eat Sub said:
I'm thinking of switching to Fedora. Has the Linux community had many problems running the game? Might run the official windows version on wine.

Not sure I'd say "many" but yes there are problems. Jagex's instructions for installing the NXT client were meant for Ubuntu 14 however, with some tweaks and extra steps, the client can be installed in more current versions of Ubuntu. Ubuntu 18 will be released soon. Also, it isn't too hard to install in other distros of Linux that support DEB packages like Ubuntu. Jagex doesn't provide instructions for non-Ubuntu distros. You will have to figure it out yourself or find a post by someone else who figured it out.

Fedora doesn't support DEB packages. I was still able to install the NXT client and log-in to the game in Fedora 25 with the LXDE desktop. I'm not sure if having the LXDE desktop is important. I'm just being specific about what I did. I haven't had a chance to try the client in Fedora 27- the current version at the time of this post.

There is a flatpak for installing the NXT client that avoids the issues mentioned above but I don't know of anyone who knows who setup the flatpak.

There is no official Java client for RuneScape. A lot of players use the unofficial client called the RSU Client Launcher. https://github.com/rsu-client/rsu-client Instead of that some still play in a web browser. You need to install a web browser that still supports the Java plugin like Firefox ESR. Also, some play the game in the Windows version of the Legacy Java client by using Wine.

29-Apr-2018 05:34:18 - Last edited on 29-Apr-2018 05:40:05 by Pinguicula

Omni Goku
Sep Gold Premier Club Member 2015

Omni Goku

Posts: 49Bronze Posts by user Forum Profile RuneMetrics Profile
im on ubuntu 18.04 the linux nxt client has been force closing without an error message while loading app resources since the last update of april, also ur java client keeps crashing randomally

14-May-2018 17:40:52

Joshua73
Aug Gold Premier Club Member 2015

Joshua73

Posts: 21Bronze Posts by user Forum Profile RuneMetrics Profile
Omni Goku said:
im on ubuntu 18.04 the linux nxt client has been force closing without an error message while loading app resources since the last update of april, also ur java client keeps crashing randomally


Same here.

Two installations both on Ubuntu 16.04: the one using the most recent video card is still working fine. The other one crashes like you said.

I managed to get an error log somehow (sent to bug-report) but can't replicate it now...

What model of video card do you have?

14-May-2018 20:03:38

Joshua73
Aug Gold Premier Club Member 2015

Joshua73

Posts: 21Bronze Posts by user Forum Profile RuneMetrics Profile
Running the command 'dmesg' just after the runescape launcher has crashed shows the error

e.g.

[ 415.814157] rs2client[2124]: segfault at 128 ip 00000000004613c0 sp 00007fe11e96be58 error 4 in rs2client[400000+698000]
[ 463.639489] rs2client[2407]: segfault at 10 ip 00007f7961b3dd44 sp 00007f79274b1900 error 4 in libpthread-2.23.so[7f7961b34000+18000]

14-May-2018 20:11:07

Quick find code: 409-410-916-65990459Back to Top